*株式会社ライトストーン
*Stata分析機能例題集　メタ分析


*****例1 Stataにメタ分析のデータを設定する*****

*データをダウンロードし、内容を確認
use https://www.stata-press.com/data/r16/pupiliq
describe studylbl stdmdiff se week1

*効果量stdmdiffと、その標準誤差seを指定
meta set stdmdiff se, studylabel(studylbl) eslabel(Std. Mean Diff.)


**********例2 メタ分析のサマリー**********

*例1の研究を統合し、全体の効果量を推定
meta summarize


**********例3 フォレストプロット**********

*フォレストプロット
meta forestplot


**********例4 サブグループメタ分析**********

*week1でグループ分けしたメタ分析を実行
meta summarize, subgroup(week1)

*フォレストプロット
meta forestplot, subgroup(week1)


*****例5 オッズ比を meta esize コマンドで計算する*****

*データをダウンロードし、内容を確認
use https://www.stata-press.com/data/r16/strepto, clear
describe

*対数オッズ比を計算
meta esize ndeadt nsurvt ndeadc nsurvc, studylabel(studyplus) common


**********例6 累積メタ分析**********

*フォレストプロット
meta forestplot, cumulative(year) or crop(0.5 .)

*結果を表形式で出力
meta summarize, cumulative(year) or


*****例7 対数リスク比を meta esize コマンドで計算する*****

*データをダウンロードし、内容を確認
use https://www.stata-press.com/data/r16/bcg, clear
describe studylbl npost nnegt nposc nnegc latitude

*対数リスク比を計算
meta esize npost nnegt nposc nnegc, esize(lnrratio) studylabel(studylbl)


**********例8 メタ回帰**********

*latitude_c にメタ回帰
summarize latitude, meanonly
generate double latitude_c = latitude - r(mean)
label variable latitude_c "Mean-centered latitude"
meta regress latitude_c


**********例9 パネルプロット**********

*バブルプロット
estat bubbleplot


**********例10 ファンネルプロット**********

*データセットを入手し、内容を確認
use https://www.stata-press.com/data/r16/nsaids, clear
describe

*データの形式を宣言
meta esize nstreat-nfcontrol

*ファンネルプロット
meta funnelplot
